Comment on Maintenance

I think Maintenance 1.1.5 is the more recent one, so it should be used here.